#-----------------------------------------------------------------------------
#
#   Supersymmetry - Funding application
#
#-----------------------------------------------------------------------------

from albow.controls import Label, Button
from albow.layout import Column
from albow.dialogs import Dialog, alert

#-----------------------------------------------------------------------------

class FundingDialog(Dialog):

	def __init__(self, world):
		self.world = world
		buttons = Column([self.amount_button(a) for a in (1, 2, 5)], equalize = 'w')
		contents = Column([
			Label("Apply for extra funding:"),
			buttons,
			Button("Cancel", action = self.cancel),
		], equalize = 'w')
		Dialog.__init__(self, client = contents)
	
	def amount_button(self, a):
		amount = a * 1000000000
		def action():
			self.world.grant_extra_funds(amount)
			self.dismiss()
		def enable():
			return self.world.extra_funds > amount
		return Button("%s billion" % a, action = action, enable = enable)
